Package Details: mingw-w64-libiconv 1.14-9

Git Clone URL: https://aur.archlinux.org/mingw-w64-libiconv.git (read-only)
Package Base: mingw-w64-libiconv
Description: Provides GNU libiconv.so and libcharset.so (mingw-w64)
Upstream URL: http://www.gnu.org/software/libiconv/
Licenses: LGPL
Submitter: brcha
Maintainer: xantares
Last Packager: xantares
Votes: 21
Popularity: 0.864043
First Submitted: 2012-06-12 18:20
Last Updated: 2015-06-08 20:54

Sources (6)

Latest Comments

xantares commented on 2013-11-13 07:29

I just removed the provide/conflicts lines.

ant32 commented on 2013-11-12 19:40

Since there is no mingw-w64-libiconv-static could you replace those lines with mingw-w64-win-iconv? Or is this a bad idea?

sed "s|mingw-w64-libiconv-static|mingw-w64-win-iconv|g" -i PKGBUILD

I'm currently getting this when trying to build mingw-w64-cairo in a clean chroot.

:: mingw-w64-win-iconv and mingw-w64-libiconv are in conflict (mingw-w64-libiconv-static). Remove mingw-w64-libiconv? [y/N]
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: mingw-w64-win-iconv and mingw-w64-libiconv are in conflict

ant32 commented on 2013-11-04 15:30

please add staticlibs
sed "s|(!strip !buildflags !libtool)|(!strip !buildflags staticlibs)|" -i PKGBUILD

xantares commented on 2013-11-04 07:44

Hi,

I think there's a bug in this one ; I can build but can't execute a simple test:
https://aur.archlinux.org/packages/mingw-w64-testsuite/

That was the bug I mentionned for mingw-w64-libxml2, but I narrowed it down to this package in particular.

xan.

xantares commented on 2013-11-04 07:43

Hi,

I think there's a bug in this one ; I can build but can't execute a simple test:
https://aur.archlinux.org/packages/mingw-w64-testsuite/

xan.

kafkafuura commented on 2013-11-01 07:55

Reminder to add "staticlibs" to the options array.

xantares commented on 2013-10-09 06:49

Hi,

You need to quote $pkgdir, & dll should be stripped as --strip-unneeded:

-${_arch}-strip $pkgdir/usr/${_arch}/bin/*.exe
-${_arch}-strip -x -g $pkgdir/usr/${_arch}/bin/*.dll
-${_arch}-strip -g $pkgdir/usr/${_arch}/lib/*.a

+${_arch}-strip "$pkgdir"/usr/${_arch}/bin/*.exe
+${_arch}-strip -strip-unneeded "$pkgdir"/usr/${_arch}/bin/*.dll
+${_arch}-strip -g "$pkgdir"/usr/${_arch}/lib/*.a



ansys commented on 2013-04-16 10:03

Does not build anymore...
You need to move "make install" to package() section

Anonymous comment on 2012-09-04 18:34

I can confirm that it works fine without patches.

rubenvb commented on 2012-06-24 21:46

Why do you patch libiconv for Windows? It works just fine without patches.